Bug 129391 - [patch] mod_proxy-2.0.51 drops Content-Length
Summary: [patch] mod_proxy-2.0.51 drops Content-Length
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-07 17:59 UTC by Jan Kratochvil
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-04 06:40:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mod_proxy copied from CVS 2004-08-07 (46.62 KB, patch)
2004-08-07 18:01 UTC, Jan Kratochvil
no flags Details | Diff
mod_proxy minimized+backported from CVS 2004-09-23 (12.01 KB, patch)
2004-09-28 13:34 UTC, Jan Kratochvil
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 15859 None None None Never

Description Jan Kratochvil 2004-08-07 17:59:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
After proxy request:

POST ... HTTP/1.1
Transfer-Encoding: chunked
[missing Content-Length]

it will get passed as:

POST ... HTTP/1.1
[no Transfer-Encoding]
[no Connection]
[no Content-Length]

which gets (BTW I think incorrectly) interpreted as POST without any body.

Current httpd-2.1 CVS version proxy handles it by default using:

POST ... HTTP/1.1
[missing Transfer-Encoding]
Content-Length: real-value

after using "proxy-sendchunks" environment it will use:

POST ... HTTP/1.1
Transfer-Encoding: chunked
[missing Content-Length]

Both such resulting requests are compatible.

Attached patch just uses the current CVS snapshot of mod_proxy.
It obsoletes the older backport of mod_proxy in the current patch
"httpd-2.0.48-proxy11.patch".


Version-Release number of selected component (if applicable):
httpd-2.0.50-2.1

How reproducible:
Always

Steps to Reproduce:
1. Use SonyEricsson P900 mobile phone and specify Apache as its HTTP
proxy.
2. Post some page.
3. See the webserver logs.


Actual Results:  CGI did not get any data input.


Expected Results:  CGI should get the input.


Additional info:

Comment 1 Jan Kratochvil 2004-08-07 18:01:14 UTC
Created attachment 102501 [details]
mod_proxy copied from CVS 2004-08-07

Comment 2 Jan Kratochvil 2004-09-28 13:34:48 UTC
Created attachment 104432 [details]
mod_proxy minimized+backported from CVS 2004-09-23

Comment 3 Matthew Miller 2005-04-26 15:10:59 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 4 Jan Kratochvil 2005-06-04 06:40:33 UTC
UPSTREAM as it is now being resolved for the next httpd official release:
http://issues.apache.org/bugzilla/show_bug.cgi?id=15859



Note You need to log in before you can comment on or make changes to this bug.